using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace TableCellGCProblem
{
    public class MyTableViewController : UITableViewController
    {
        public MyTableViewController() : base (UITableViewStyle.Grouped)
        {
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();
			
            TableView.Source = new MyTableViewSource(this);

            NavigationItem.LeftBarButtonItem = new UIBarButtonItem("Done", UIBarButtonItemStyle.Done, (sender, e) => DismissViewController(true, null));
        }

        public override void ViewWillDisappear(bool animated)
        {
            base.ViewWillDisappear(animated);

            //Uncomment this line and GC happens on the table...
            // - is this the recommended way to clean things up if the source has a reference back to the view?
            //((MyTableViewSource)TableView.Source).View = null;
        }
    }
}
