using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace TableCellGCProblem
{
    public partial class TableCellGCProblemViewController : UIViewController
    {
        public TableCellGCProblemViewController() : base ("TableCellGCProblemViewController", null)
        {
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();

            var button = new UIButton(UIButtonType.RoundedRect);
            button.Frame = new RectangleF(0, 0, 200, 44);
            button.SetTitle("Press Me", UIControlState.Normal);
            button.TouchUpInside += HandleTouchUpInside;
            Add(button);
        }

        void HandleTouchUpInside (object sender, EventArgs e)
        {
            PresentViewController(new UINavigationController(new MyTableViewController()), true, null);
        }
    }
}
